Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707406 - net-analyzer/sniffit-0.4.0 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/sniffit-0.4.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:05 UTC by Toralf Förster
Modified: 2020-01-31 21:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.69 KB, text/plain)
2020-01-30 19:05 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,183.76 KB, text/plain)
2020-01-30 19:05 UTC, Toralf Förster
Details
environment (environment,63.09 KB, text/plain)
2020-01-30 19:05 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.46 KB, application/x-bzip)
2020-01-30 19:05 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.31 KB, application/x-bzip)
2020-01-30 19:05 UTC, Toralf Förster
Details
net-analyzer:sniffit-0.4.0:20200130-002909.log (net-analyzer:sniffit-0.4.0:20200130-002909.log,31.95 KB, text/plain)
2020-01-30 19:05 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.12 KB, application/x-bzip)
2020-01-30 19:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:05:40 UTC
/usr/include/pcap/pcap.h:442:39: note: expected ‘pcap_handler’ {aka ‘void (*)(unsigned char *, const struct pcap_pkthdr *, const unsigned char *)’} but argument is of type ‘void (* (*)(unsigned char *, const struct packetheader *, const unsigned char *))(u_char *, const struct pcap_pkthdr *, const u_char *)’ {aka ‘void (* (*)(unsigned char *, const struct packetheader *, const unsigned char *))(unsigned char *, const struct pcap_pkthdr *, const unsigned char *)’}
  442 | PCAP_API int pcap_loop(pcap_t *, int, pcap_handler, u_char *);
      |                                       ^~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -lncurses -lpcap -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o sniffit sn_packets.o sn_generation.o sn_interface.o sn_cfgfile.o sn_logfile.o sn_resolv.o sniffit.o  -lpcap -ltinfo -lncurses 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: sniffit.o:(.bss+0x180): multiple definition of `IP_nr_of_packets'; sn_interface.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 23:06:23 +0000

emerge -qpvO net-analyzer/sniffit
[ebuild  N    ] net-analyzer/sniffit-0.4.0
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:05:42 UTC
Created attachment 608698 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:05:45 UTC
Created attachment 608700 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:05:49 UTC
Created attachment 608702 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:05:52 UTC
Created attachment 608704 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:05:55 UTC
Created attachment 608706 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:05:58 UTC
Created attachment 608708 [details]
net-analyzer:sniffit-0.4.0:20200130-002909.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:06:01 UTC
Created attachment 608710 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 21:59:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=457fd2e783ff78605a8811bd088b407e8d41df7d

commit 457fd2e783ff78605a8811bd088b407e8d41df7d
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 21:58:40 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 21:58:58 +0000

    net-analyzer/sniffit: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707406
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../sniffit/files/sniffit-0.4.0-fno-common.patch   | 181 +++++++++++++++++++++
 net-analyzer/sniffit/sniffit-0.4.0.ebuild          |   1 +
 2 files changed, 182 insertions(+)